from ngsolve import *
from ngsolve.webgui import Draw
from netgen.geom2d import unit_square
from ngsolve.meshes import MakeStructured2DMesh

my_mesh = MakeStructured2DMesh(quads=True, nx=2, ny=2)
Draw(my_mesh)

Integrate(CoefficientFunction(1)*dx(element_boundary=True),my_mesh)
# >> 3.9999999999999885

sum( Integrate(CoefficientFunction(1)*dx(element_boundary=True),my_mesh,element_wise = True))

# >> 5.999999999999982